summaryrefslogtreecommitdiffstats
path: root/autogen.sh
diff options
context:
space:
mode:
Diffstat (limited to 'autogen.sh')
-rwxr-xr-xautogen.sh5
1 files changed, 5 insertions, 0 deletions
diff --git a/autogen.sh b/autogen.sh
index ae9d8c139..a308d9b0e 100755
--- a/autogen.sh
+++ b/autogen.sh
@@ -76,6 +76,11 @@ echo " libtoolize: $(libtoolize --version | head -1)"
set -e
po/update-potfiles
autopoint --force $AP_OPTS
+if ! grep -q datarootdir po/Makefile.in.in; then
+ echo autopoint does not honor dataroot variable, patching.
+ sed -i -e 's/^datadir *=\(.*\)/datarootdir = @datarootdir@\
+datadir = @datadir@/g' po/Makefile.in.in
+fi
libtoolize --force $LT_OPTS
aclocal -I m4 $AL_OPTS
autoconf $AC_OPTS